LIBRARY ieee;
USE ieee.std_logic_1164.all;

--LIBRARY altera_mf;
--USE altera_mf.all;

ENTITY speicher IS
	PORT
	(
			clk	: IN STD_LOGIC;				
			adr    : IN STD_LOGIC_VECTOR (7 DOWNTO 0);			
			wr		: IN STD_LOGIC ;
			--rd		: IN STD_LOGIC ;			
			--cs		: IN STD_LOGIC ;				
			data_in 	: OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
			data_out	: IN  STD_LOGIC_VECTOR (31 DOWNTO 0) 
			
	);
END speicher;



ARCHITECTURE verhalten OF speicher IS

	COMPONENT ram IS
		PORT
		(
			address	: IN STD_LOGIC_VECTOR (7 DOWNTO 0);
			clock		: IN STD_LOGIC  := '1';
			data		: IN STD_LOGIC_VECTOR (31 DOWNTO 0);
			wren		: IN STD_LOGIC ;
			q			: OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
		);
	END COMPONENT;

	signal schreiben	: STD_LOGIC_VECTOR (31 DOWNTO 0);
	signal lesen		: STD_LOGIC_VECTOR (31 DOWNTO 0);
	
		
begin

	meinSpeicher: ram PORT MAP (	
											address => adr,											
											clock => clk,
											data => data_out,
											wren => wr,
											q => data_in								
										);
										
			
	
end verhalten;

